
Ruby - Bug #11590

Improve method debugging

10/13/2015 10:29 PM - Gip-Gip (Charles Thompson)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 2.2.3 Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2:

UNKNOWN

Description

I forgot to rename a variable that controlled array access inside a method. When I ran the program, Ruby told me that I was not

providing enough arguments to the method, instead of saying the variable was not initialized, or something like that. So you can

recreate it, here's a sample of code:

def operatorDepth str

 opDepth = 0;

 while str[opDepth] != '+' and str[opDepth] != '-' and \

   str[operatorDepth] != '=' and opDepth < str.length 

#The line in error(forgot to replace operatorDepth with opDepth)

  opDepth += 1;

 end

 return opDepth;

end

puts(operatorDepth("2 + 2"));

History

#1 - 10/13/2015 10:31 PM - Gip-Gip (Charles Thompson)

- Assignee deleted (Gip-Gip (Charles Thompson))

#2 - 10/14/2015 06:52 AM - nobu (Nobuyoshi Nakada)

- Description updated

- Status changed from Open to Rejected

You used the same name as that method.
